cbuffer cSettingsBuffer 
{
    matrix MVP; 
};

struct VS_IN
{
    float3 a_pos   : POSITION;
    float2 a_uv    : TEXCOORD0;
    float4 a_color : COLOR0;
};

struct VS_OUT
{
    float4 pos   : SV_Position;
    float2 uv    : TEXCOORD0;
    float4 color : COLOR0;
};

VS_OUT main(VS_IN input)
{
    VS_OUT output;

    output.pos = mul(float4(input.a_pos, 1.f), MVP);
	output.uv = input.a_uv;
	output.color = input.a_color;

	return output;
}

